Technical Requirements

What are the required browser settings?
The course presentations use HTML5, requiring a compatible browser. Compatible browsers include: Windows: Microsoft Edge (latest version), Google Chrome (...
Tue, 25 Aug, 2020 at 9:49 AM
Can I use Internet Explorer?
Internet Explorer is not recommended and may cause functionality issues with our system. Please use any other modern browser.
Tue, 25 Aug, 2020 at 9:53 AM
What are the supported screen readers?
Supported screen readers include: Windows: NVDA, JAWS 16 or later Mac: VoiceOver iPhone: VoiceOver iPad: VoiceOver Android: TalkBack
Mon, 10 Feb, 2020 at 9:10 AM